summaryrefslogtreecommitdiffstats
path: root/network/xtables-addons/xtables-addons.SlackBuild
diff options
context:
space:
mode:
author Robby Workman2010-05-16 02:54:41 +0200
committer Michiel van Wessem2010-05-17 05:26:39 +0200
commit0a1ff17a80cdd02129a3a611ee41f86d7dbdff16 (patch)
tree16d0da86273964f111943d0ec0ff594a33aea5ec /network/xtables-addons/xtables-addons.SlackBuild
parentcc24ceeeb65f753280f0a068d9c3823228d5b78f (diff)
downloadslackbuilds-0a1ff17a80cdd02129a3a611ee41f86d7dbdff16.tar.gz
network/xtables-addons: updated for version 1.26
Diffstat (limited to 'network/xtables-addons/xtables-addons.SlackBuild')
-rw-r--r--network/xtables-addons/xtables-addons.SlackBuild27
1 files changed, 17 insertions, 10 deletions
diff --git a/network/xtables-addons/xtables-addons.SlackBuild b/network/xtables-addons/xtables-addons.SlackBuild
index b3d5cccdb1..a201a8c4e5 100644
--- a/network/xtables-addons/xtables-addons.SlackBuild
+++ b/network/xtables-addons/xtables-addons.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for xtables-addons
-# Copyright 2008,2009 Robby Workman, Northport, Alabama, USA
+# Copyright 2008,2009,2010 Robby Workman, Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,13 +23,22 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=xtables-addons
-VERSION=1.18
-ARCH=${ARCH:-i486}
+VERSION=1.26
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
KERNEL=${KERNEL:-$(uname -r)}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -47,6 +56,9 @@ elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
SRCARCH=x86
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
set -e
@@ -71,7 +83,6 @@ CFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--with-kbuild=/lib/modules/${KERNEL}/build \
- --with-ksource=/lib/modules/${KERNEL}/source \
--build=$ARCH-slackware-linux || true
make SRCARCH=$SRCARCH
@@ -80,12 +91,8 @@ make install DESTDIR=$PKG SRCARCH=$SRCARCH
# Hrm, we don't want to install these
rm -f $PKG/lib/modules/${KERNEL}/modules.*
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;